package com.bootdo.data.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.bootdo.data.domain.DataApprovalDO;
import com.bootdo.data.domain.UnitApplyInfoDO;

/**
 * 
 * @author admin
 * @email admin@163.com
 * @date 2022-03-01 17:56:11
 */
@Mapper
public interface DataApprovalDao {

	DataApprovalDO get(Long id);
	
	List<UnitApplyInfoDO> list(Map<String,Object> map);
	
	int count(Map<String,Object> map);
	
	int save(DataApprovalDO dataApproval);
	
	int update(DataApprovalDO dataApproval);
	
	int remove(Long ID);
	
	int batchRemove(Long[] ids);

    void removeByApplyId(long applyId);
}
